'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default').default;

var _app = require('app');

var _app2 = _interopRequireDefault(_app);

var _browserWindow = require('browser-window');

var _browserWindow2 = _interopRequireDefault(_browserWindow);

var _jsStoresTreeViewStoreJs = require('./js/stores/tree-view-store.js');

var _jsStoresTreeViewStoreJs2 = _interopRequireDefault(_jsStoresTreeViewStoreJs);

var _jsStoresTabsViewStoreJs = require('./js/stores/tabs-view-store.js');

var _jsStoresTabsViewStoreJs2 = _interopRequireDefault(_jsStoresTabsViewStoreJs);

var _index = require('../../index');

var _index2 = _interopRequireDefault(_index);

var _jsDispatcher = require('./js/dispatcher');

var _jsDispatcher2 = _interopRequireDefault(_jsDispatcher);

_app2.default.on('window-all-closed', function () {
    if (process.platform !== 'darwin') _app2.default.quit();
});

_app2.default.on('ready', function () {
    var Config = require('../../lib/config');
    var config = new Config();

    config._initFromFile(function () {
        var testCafe = new _index2.default(null, true);

        var run = function () {
            var mainWindow = new _browserWindow2.default({ width: 1024, height: 768, frame: false, 'min-width': 1024, 'min-height': 768 });

            new _jsStoresTreeViewStoreJs2.default(testCafe.vfs, _jsDispatcher2.default);
            new _jsStoresTabsViewStoreJs2.default(testCafe.vfs, _jsDispatcher2.default);

            mainWindow.loadUrl('file://' + __dirname + '/index.html');

            mainWindow.on('closed', function () {
                return mainWindow = null;
            });
        };

        testCafe.on('ready', run);
    });
});