'use strict';

var _inherits = require('babel-runtime/helpers/inherits').default;

var _classCallCheck = require('babel-runtime/helpers/class-call-check').default;

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default').default;

exports.__esModule = true;

var _fsNode = require('../fs-node');

var _fsNode2 = _interopRequireDefault(_fsNode);

var _fileItem = require('../file-item');

var _fileItem2 = _interopRequireDefault(_fileItem);

var DirItem = (function (_FSNode) {
    function DirItem(props) {
        _classCallCheck(this, DirItem);

        _FSNode.call(this, props);

        this.iconClass = 'tc-dir-icon';
        this.expandable = props.node.dirs.length || props.node.files.length;
    }

    _inherits(DirItem, _FSNode);

    DirItem.prototype.render = function render() {
        var _this = this;

        var dir = this.state.node;
        var dirs = [];
        var files = [];

        if (this.state.isExpanded) {
            dirs = dir.dirs.map(function (dir) {
                return React.createElement(DirItem, { key: dir.id, node: dir, register: _this.props.register });
            });
            files = dir.files.map(function (file) {
                return React.createElement(_fileItem2.default, { key: file.id, node: file, register: _this.props.register });
            });
        }

        return React.createElement(
            'ul',
            { className: 'tc-fs-item tc-dir-item' },
            this._getNameElement(),
            dirs,
            files
        );
    };

    return DirItem;
})(_fsNode2.default);

exports.default = DirItem;
module.exports = exports.default;