'use strict';

var _inherits = require('babel-runtime/helpers/inherits').default;

var _classCallCheck = require('babel-runtime/helpers/class-call-check').default;

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default').default;

exports.__esModule = true;

var _fsNode = require('../fs-node');

var _fsNode2 = _interopRequireDefault(_fsNode);

var _dataDrivenTest = require('../data-driven-test');

var _dataDrivenTest2 = _interopRequireDefault(_dataDrivenTest);

var _testItem = require('../test-item');

var _testItem2 = _interopRequireDefault(_testItem);

var FileItem = (function (_FSNode) {
    function FileItem(props) {
        _classCallCheck(this, FileItem);

        _FSNode.call(this, props);

        this.iconClass = 'tc-file-icon';
        this.expandable = props.node.tests.length;
    }

    _inherits(FileItem, _FSNode);

    FileItem.prototype.render = function render() {
        var _this = this;

        var file = this.state.node;
        var tests = [];

        if (this.state.isExpanded) {
            tests = file.tests.map(function (test) {
                return test.tests ? React.createElement(_dataDrivenTest2.default, { key: test.id, node: test, register: _this.props.register }) : React.createElement(_testItem2.default, { key: test.id, node: test, register: _this.props.register });
            });
        }

        return React.createElement(
            'ul',
            { className: 'tc-fs-item tc-file-item' },
            this._getNameElement(),
            tests
        );
    };

    return FileItem;
})(_fsNode2.default);

exports.default = FileItem;
module.exports = exports.default;