'use strict';

var _inherits = require('babel-runtime/helpers/inherits').default;

var _classCallCheck = require('babel-runtime/helpers/class-call-check').default;

exports.__esModule = true;

var StepView = (function (_React$Component) {
    function StepView() {
        _classCallCheck(this, StepView);

        _React$Component.call(this);
    }

    _inherits(StepView, _React$Component);

    StepView.prototype.render = function render() {
        var _this = this;

        var step = this.props.step;
        var arrowClass = 'tc-arrow-right';
        var elementClass = 'tc-step-view';
        var optionsClass = 'tc-step-options';
        var editorClass = 'tc-step-editor';

        if (this.props.isExpanded) {
            arrowClass = 'tc-arrow-down';
            elementClass += ' selected';
        } else {
            optionsClass += ' hidden';
            editorClass += ' hidden';
        }

        return React.createElement(
            'li',
            { className: elementClass, onClick: this._onClick.bind(this) },
            React.createElement(
                'div',
                { className: 'tc-step-header' },
                React.createElement('span', { className: arrowClass, onClick: function () {
                        return _this.props.toggleExpand(step.name);
                    } }),
                React.createElement(
                    'span',
                    { className: 'tc-step-index' },
                    step.index
                ),
                React.createElement(
                    'div',
                    { className: 'tc-step-name' },
                    React.createElement('span', { className: 'tc-click-icon' }),
                    React.createElement('input', { value: step.name, disabled: !this.props.isExpanded })
                ),
                React.createElement(
                    'div',
                    { className: optionsClass },
                    React.createElement(
                        'span',
                        null,
                        'Options'
                    ),
                    React.createElement(
                        'span',
                        null,
                        'Browser dialogs'
                    )
                )
            ),
            React.createElement(
                'div',
                { className: editorClass },
                React.createElement(
                    'span',
                    null,
                    'Element selector:'
                ),
                React.createElement('div', null)
            )
        );
    };

    StepView.prototype._onClick = function _onClick() {
        if (!this.props.isExpanded) this.props.expand(this.props.step.name);
    };

    return StepView;
})(React.Component);

exports.default = StepView;
module.exports = exports.default;