'use strict';

var _inherits = require('babel-runtime/helpers/inherits').default;

var _classCallCheck = require('babel-runtime/helpers/class-call-check').default;

exports.__esModule = true;

var _actions = require('../../actions');

var MAX_TAB_NAME_LENGTH = 33;
var CLOSE_TAB_TOOLTIP = 'Close tab';

function prepareTabName(name) {
    return name.length > MAX_TAB_NAME_LENGTH ? name.substr(0, 15) + '...' + name.substr(-15) : name;
}

var TabItem = (function (_React$Component) {
    function TabItem() {
        _classCallCheck(this, TabItem);

        _React$Component.call(this);
    }

    _inherits(TabItem, _React$Component);

    TabItem.prototype.render = function render() {
        var node = this.props.node;
        var className = 'tc-tab-item' + (this.props.isActive ? ' active' : '');
        var title = node.parentId ? node.parentId : node.id;

        return React.createElement(
            'li',
            { className: className },
            React.createElement(
                'span',
                { className: 'tc-user-select', onClick: this._onClick.bind(this), title: title },
                prepareTabName(node.name)
            ),
            React.createElement('span', { className: 'tc-close-btn', onClick: function () {
                    return (0, _actions.closeTab)(node);
                }, title: CLOSE_TAB_TOOLTIP })
        );
    };

    TabItem.prototype._onClick = function _onClick() {
        (0, _actions.showItemView)(this.props.node);
    };

    return TabItem;
})(React.Component);

exports.default = TabItem;
module.exports = exports.default;